Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.io
Class HttpResponseParser

    java.lang.Object
      org.apache.http.impl.io.AbstractMessageParser<HttpMessage>
          org.apache.http.impl.io.HttpResponseParser

All Implemented Interfaces:
  HttpMessageParser<HttpMessage>

Deprecated. (4.2) use `DefaultHttpResponseParser`

    @Deprecated
    public class HttpResponseParser

extends AbstractMessageParser<HttpMessage>

HTTP response parser that obtain its input from an instance of `SessionInputBuffer`.

The following parameters can be used to customize the behavior of this class:

- `CoreConnectionPNames.MAX_HEADER_COUNT`
- `CoreConnectionPNames.MAX_LINE_LENGTH`

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.impl.io.AbstractMessageParser
`lineParser`

Constructor Summary
`HttpResponseParser(SessionInputBuffer buffer, LineParser parser, HttpResponseFactory responseFactory, HttpParams params)` Deprecated. Creates an instance of this class.

Method Summary
`protected HttpMessage` | `parseHead(SessionInputBuffer sessionBuffer)` Deprecated. Subclasses must override this method to generate an instance of `HttpMessage` based on the initial input from the session buffer.

Methods inherited from class org.apache.http.impl.io.AbstractMessageParser
`parse, parseHeaders, parseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpResponseParser

    public HttpResponseParser(SessionInputBuffer buffer,
                              LineParser parser,
                              HttpResponseFactory responseFactory,
                              HttpParams params)

  Deprecated.
  Creates an instance of this class.

  Parameters:
    `buffer` - the session input buffer.
    `parser` - the line parser.
    `responseFactory` - the factory to use to create `HttpResponse`s.
    `params` - HTTP parameters.

Method Detail

### parseHead

    protected HttpMessage parseHead(SessionInputBuffer sessionBuffer)
                             throws IOException,
                                    HttpException,
                                    ParseException

  Deprecated.
  Description copied from class: `AbstractMessageParser`
  Subclasses must override this method to generate an instance of `HttpMessage` based on the initial input from the session buffer.

  Usually this method is expected to read just the very first line or the very first valid from the data stream and based on the input generate an appropriate instance of `HttpMessage`.

  Specified by:
    `parseHead` in class `AbstractMessageParser<HttpMessage>`
  Parameters:
    `sessionBuffer` - the session input buffer.
  Returns:
    HTTP message based on the input from the session buffer.
  Throws:
    `IOException` - in case of an I/O error.
    `HttpException` - in case of HTTP protocol violation.
    `ParseException` - in case of a parse error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.